Debian Bug report logs - #580901
core i3: suspend to disk break multithreading

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Sun, 9 May 2010 17:57:01 UTC

Severity: important

Tags: fixed-upstream

Found in version 2.6.32-9

Fixed in versions linux/2.6.37-1~experimental.1, 2.6.32-45

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=15559

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Sun, 09 May 2010 17:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 09 May 2010 17:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: core i3: suspend to disk break multithreading
Date: Sun, 9 May 2010 19:54:21 +0200
Package: linux-2.6
Version: 2.6.32-9
Severity: normal

Dear Debian kernel team,

I have a Sony Vaio laptop with a core i3 processor, dual core and
hyperthreaded to 4 virtual CPUs.  When compiling with 'make -j4', top
show the 4 CPUs used.

After suspend-to-disk however, performance degrade to the equivalent of a
single core system: top still show 4 cpus, but only one CPU ever get
used and compilation time is twice longer (real time). The same happen
with programs using multiple POSIX threads.

I found this report which seems similar but with a core i7:

http://superuser.com/questions/136291/core-i7-on-linux-loses-its-multithreading-capability-after-suspend

Note: I have disabled KMS because it causes segfault after suspend-to-disk
(this is bug 534422). This is a very bare-bone system, X is not running.

Cheers,
Bill.


-- Package-specific info:
** Version:
Linux version 2.6.32-3-amd64 (Debian 2.6.32-9) (maks@debian.org) (gcc version 4.3.4 (Debian 4.3.4-8) ) #1 SMP Wed Feb 24 18:07:42 UTC 2010

** Command line:
BOOT_IMAGE=/boot/vmlinuz-2.6.32-3-amd64 root=UUID=cb8e6b0f-b188-4e36-a732-63694c2af4ca ro vga=normal nomodeset quiet

** Not tainted

** Kernel log:
[    3.775208] Bluetooth: Generic Bluetooth USB driver ver 0.6
[    3.775531] usbcore: registered new interface driver btusb
[    3.777348] Monitor-Mwait will be used to enter C-1 state
[    3.795821] Linux video capture interface: v2.00
[    3.814678] Monitor-Mwait will be used to enter C-2 state
[    3.814796] processor LNXCPU:00: registered as cooling_device0
[    3.815761] ACPI: SSDT 00000000b3690a98 00303 (v01   Sony     VAIO 20100107 INTL 20061109)
[    3.816531] ACPI: SSDT 00000000b368ed98 00119 (v01   Sony     VAIO 20100107 INTL 20061109)
[    3.876520] processor LNXCPU:01: registered as cooling_device1
[    3.896722] uvcvideo: Found UVC 1.00 device <unnamed> (05ca:18b7)
[    3.897346] ACPI: AC Adapter [AC] (on-line)
[    3.898876] input: UVC Camera (05ca:18b7) as /devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.2/1-1.2:1.0/input/input6
[    3.898987] usbcore: registered new interface driver uvcvideo
[    3.899030] USB Video Class driver (v0.1.0)
[    3.920889] ACPI: Battery Slot [BAT1] (battery absent)
[    3.957380] processor LNXCPU:02: registered as cooling_device2
[    4.072640] processor LNXCPU:03: registered as cooling_device3
[    4.094364] ACPI: WMI: Mapper loaded
[    4.097400] sony-laptop: Sony Notebook Control Driver v0.6.
[    4.149822] input: Sony Vaio Keys as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:0f/SNY5001:00/input/input7
[    4.150181] input: Sony Vaio Jogdial as /devices/virtual/input/input8
[    4.150467] sony-laptop: brightness ignored, must be controlled by ACPI video driver
[    4.171318] iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27ks
[    4.171321] iwlagn: Copyright(c) 2003-2009 Intel Corporation
[    4.171391] iwlagn 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
[    4.171400] iwlagn 0000:02:00.0: setting latency timer to 64
[    4.171458] iwlagn 0000:02:00.0: Detected Intel Wireless WiFi Link 6000 Series 2x2 AGN REV=0x74
[    4.196368] iwlagn 0000:02:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
[    4.196422]   alloc irq_desc for 35 on node -1
[    4.196425]   alloc kstat_irqs on node -1
[    4.196446] iwlagn 0000:02:00.0: irq 35 for MSI/MSI-X
[    4.256105] phy0: Selected rate control algorithm 'iwl-agn-rs'
[    4.268538]   alloc irq_desc for 22 on node -1
[    4.268541]   alloc kstat_irqs on node -1
[    4.268551] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    4.268623] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    4.567946] EXT3 FS on sda1, internal journal
[    4.643992] loop: module loaded
[    4.769324] Synaptics Touchpad, model: 1, fw: 7.4, id: 0x1c0b1, caps: 0xd04731/0xa40000
[    4.786244] Adding 11718648k swap on /dev/mapper/Debian-swap.  Priority:-1 extents:1 across:11718648k 
[    4.816656] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio4/input/input9
[    4.905589] kjournald starting.  Commit interval 5 seconds
[    4.905708] EXT3 FS on dm-5, internal journal
[    4.905718] EXT3-fs: mounted filesystem with ordered data mode.
[    4.907473] kjournald starting.  Commit interval 5 seconds
[    4.907678] EXT3 FS on dm-4, internal journal
[    4.907686] EXT3-fs: mounted filesystem with ordered data mode.
[    4.909288] kjournald starting.  Commit interval 5 seconds
[    4.909431] EXT3 FS on dm-1, internal journal
[    4.909438] EXT3-fs: mounted filesystem with ordered data mode.
[    4.911040] kjournald starting.  Commit interval 5 seconds
[    4.911193] EXT3 FS on dm-2, internal journal
[    4.911200] EXT3-fs: mounted filesystem with ordered data mode.
[    4.913038] kjournald starting.  Commit interval 5 seconds
[    4.913179] EXT3 FS on dm-3, internal journal
[    4.913187] EXT3-fs: mounted filesystem with ordered data mode.
[    5.097935] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[    5.098297] CONFIG_NF_CT_ACCT is deprecated and will be removed soon. Please use
[    5.098299] nf_conntrack.acct=1 kernel parameter, acct=1 nf_conntrack module option or
[    5.098301] sysctl net.netfilter.nf_conntrack_acct=1 to enable it.
[    5.114470] ip_tables: (C) 2000-2006 Netfilter Core Team
[    5.212811]   alloc irq_desc for 36 on node -1
[    5.212813]   alloc kstat_irqs on node -1
[    5.212830] atl1c 0000:04:00.0: irq 36 for MSI/MSI-X
[    5.213508] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    6.861387] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input10
[  559.204514] iwlagn 0000:02:00.0: firmware: requesting iwlwifi-6000-4.ucode
[  559.216440] iwlagn 0000:02:00.0: loaded firmware version 9.176.4.1
[  559.509531] Registered led device: iwl-phy0::radio
[  559.509550] Registered led device: iwl-phy0::assoc
[  559.509566] Registered led device: iwl-phy0::RX
[  559.509581] Registered led device: iwl-phy0::TX
[  559.530348] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[  563.896716] wlan0: direct probe to AP 2e:28:f8:01:0f:8c (try 1)
[  563.899948] wlan0: direct probe responded
[  563.899952] wlan0: authenticate with AP 2e:28:f8:01:0f:8c (try 1)
[  563.902855] wlan0: authenticated
[  563.902871] wlan0: associate with AP 2e:28:f8:01:0f:8c (try 1)
[  563.905240] wlan0: RX AssocResp from 2e:28:f8:01:0f:8c (capab=0x411 status=0 aid=1)
[  563.905243] wlan0: associated
[  563.906899] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[  564.297310] Intel AES-NI instructions are not detected.
[  564.323147] padlock: VIA PadLock not detected.
[  574.685406] wlan0: no IPv6 routers present
[ 1903.065147] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 1903.066007] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1903.067211] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1903.070597] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1903.083052] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
[ 1904.030130] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 1904.031321] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.032596] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.035514] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.047974] psmouse.c: TouchPad at isa0060/serio4/input0 - driver resynched.
[ 1904.635836] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 4
[ 1904.635986] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.637957] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.639320] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.640557] psmouse.c: TouchPad at isa0060/serio4/input0 lost sync at byte 1
[ 1904.640560] psmouse.c: issuing reconnect request

** Model information
sys_vendor: Sony Corporation
product_name: VPCS11C5E
product_version: C10464HB
chassis_vendor: Sony Corporation
chassis_version: N/A
bios_vendor: INSYDE
bios_version: R0280Q3
board_vendor: Sony Corporation
board_name: VAIO
board_version: N/A

** Loaded modules:
Module                  Size  Used by
cryptd                  5366  0 
aes_x86_64              7340  1 
aes_generic            25714  1 aes_x86_64
uinput                  6376  1 
acpi_cpufreq            5555  0 
cpufreq_conservative     5162  0 
cpufreq_userspace       1992  4 
cpufreq_stats           2659  0 
cpufreq_powersave        902  0 
ipt_LOG                 4518  4 
iptable_mangle          2817  0 
iptable_filter          2258  1 
iptable_nat             4299  0 
ip_tables              13899  3 iptable_mangle,iptable_filter,iptable_nat
nf_nat                 13372  1 iptable_nat
x_tables               12813  3 ipt_LOG,iptable_nat,ip_tables
nf_conntrack_ipv4       9833  3 iptable_nat,nf_nat
nf_conntrack           46471  3 iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4          1139  1 nf_conntrack_ipv4
joydev                  8411  0 
firewire_sbp2          11466  0 
loop                   11783  0 
snd_hda_codec_intelhdmi    10695  1 
snd_hda_codec_realtek   235378  0 
snd_hda_intel          19619  0 
snd_hda_codec          54212  3 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep               5364  1 snd_hda_codec
snd_pcm_oss            32591  0 
snd_mixer_oss          12606  1 snd_pcm_oss
arc4                    1274  2 
ecb                     1841  2 
snd_pcm                60615  3 snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi            4400  0 
snd_rawmidi            15483  1 snd_seq_midi
snd_seq_midi_event      4628  1 snd_seq_midi
snd_seq                42801  2 snd_seq_midi,snd_seq_midi_event
iwlagn                 71804  0 
snd_timer              15502  2 snd_pcm,snd_seq
snd_seq_device          4477  3 snd_seq_midi,snd_rawmidi,snd_seq
sony_laptop            24577  0 
wmi                     4307  0 
iwlcore                77878  1 iwlagn
battery                 4998  0 
ac                      2192  0 
uvcvideo               51663  0 
mac80211              136188  2 iwlagn,iwlcore
videodev               29977  1 uvcvideo
serio_raw               3752  0 
v4l1_compat            11442  2 uvcvideo,videodev
snd                    46350  12 snd_hda_codec_intelhdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
pcspkr                  1699  0 
evdev                   7336  6 
btusb                   9785  0 
psmouse                49505  0 
v4l2_compat_ioctl32     8538  1 videodev
i2c_i801                7798  0 
processor              30215  5 acpi_cpufreq
bluetooth              41795  1 btusb
cfg80211              101384  3 iwlagn,iwlcore,mac80211
atl1c                  26252  0 
soundcore               4598  1 snd
snd_page_alloc          6217  2 snd_hda_intel,snd_pcm
rfkill                 13012  3 sony_laptop,bluetooth,cfg80211
ext3                  106486  6 
jbd                    37053  1 ext3
mbcache                 4970  1 ext3
dm_mod                 53674  18 
fan                     3346  0 
sg                     18728  0 
sr_mod                 12602  0 
sd_mod                 29689  3 
crc_t10dif              1276  1 sd_mod
cdrom                  29399  1 sr_mod
ehci_hcd               30706  0 
sdhci_pci               5581  0 
sdhci                  13966  1 sdhci_pci
ahci                   32038  2 
i915                  248774  0 
drm_kms_helper         18899  1 i915
firewire_ohci          19484  0 
libata                132183  1 ahci
drm                   137190  2 i915,drm_kms_helper
i2c_algo_bit            4225  1 i915
firewire_core          36688  2 firewire_sbp2,firewire_ohci
thermal                11674  0 
button                  4634  1 i915
mmc_core               45488  1 sdhci
led_class               2401  2 iwlcore,sdhci
scsi_mod              121925  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
i2c_core               15584  5 videodev,i2c_i801,i915,drm,i2c_algo_bit
crc_itu_t               1307  1 firewire_core
intel_agp              25593  1 
video                  17445  1 i915
usbcore               121703  4 uvcvideo,btusb,ehci_hcd
nls_base                6377  1 usbcore
thermal_sys            11878  4 processor,fan,thermal,video
output                  1692  1 video

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 02) (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
	Region 2: Memory at c0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 7050 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>
	Kernel modules: i915

00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 5
	Region 0: Memory at db406100 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at db405c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 22
	Region 0: Memory at db400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: da400000-db3fffff
	Prefetchable memory behind bridge: 00000000d0400000-00000000d13fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 05) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: d9400000-da3fffff
	Prefetchable memory behind bridge: 00000000d1400000-00000000d23fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.2 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 [8086:3b46] (rev 05) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: d8400000-d93fffff
	Prefetchable memory behind bridge: 00000000d2400000-00000000d33fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.3 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 [8086:3b48] (rev 05) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: d7400000-d83fffff
	Prefetchable memory behind bridge: 00000000d3400000-00000000d43fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.4 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 [8086:3b4a] (rev 05) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=0d, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: d5400000-d73fffff
	Prefetchable memory behind bridge: 00000000d4400000-00000000d53fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at db405800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a5) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=10, subordinate=10, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b09] (rev 05)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel modules: iTCO_wdt

00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller [8086:3b29] (rev 05) (prog-if 01 [AHCI 1.0])
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 34
	Region 0: I/O ports at 7048 [size=8]
	Region 1: I/O ports at 705c [size=4]
	Region 2: I/O ports at 7040 [size=8]
	Region 3: I/O ports at 7058 [size=4]
	Region 4: I/O ports at 7020 [size=32]
	Region 5: Memory at db405000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at db406000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 7000 [size=32]
	Kernel modules: i2c-i801

00:1f.6 Signal processing controller [1180]: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem [8086:3b32] (rev 05)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at db404000 (64-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>

02:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6200 [8086:422c] (rev 35)
	Subsystem: Intel Corporation Centrino Advanced-N 6200 2x2 AGN [8086:1301]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 35
	Region 0: Memory at da400000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn

03:00.0 SD Host controller [0805]: Ricoh Co Ltd Device [1180:e822]
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at d9400a00 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

03:00.1 System peripheral [0880]: Ricoh Co Ltd Device [1180:e230]
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 11
	Region 0: Memory at d9400900 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

03:00.3 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd Device [1180:e832] (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin D routed to IRQ 16
	Region 0: Memory at d9400000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci
	Kernel modules: firewire-ohci

03:00.4 SD Host controller [0805]: Ricoh Co Ltd Device [1180:e822]
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 19
	Region 0: Memory at d9400800 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci
	Kernel modules: sdhci-pci

04:00.0 Ethernet controller [0200]: Atheros Communications AR8131 Gigabit Ethernet [1969:1063] (rev c0)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 36
	Region 0: Memory at d8400000 (64-bit, non-prefetchable) [size=256K]
	Region 2: I/O ports at 4000 [size=128]
	Capabilities: <access denied>
	Kernel driver in use: atl1c
	Kernel modules: atl1c

ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)
	Subsystem: Sony Corporation Device [104d:9069]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0


** USB devices:
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 005: ID 0489:e00f Foxconn / Hon Hai 
Bus 001 Device 004: ID 05ca:18b7 Ricoh Co., Ltd 
Bus 001 Device 003: ID 147e:1001 Upek 
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.32-3-amd64 depends on:
ii  debconf [debconf-2.0]        1.5.32      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.93.4      tools for generating an initramfs
ii  module-init-tools            3.12~pre2-3 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.32-3-amd64 recommends:
ii  firmware-linux-free           2.6.32-9   Binary firmware for various driver

Versions of packages linux-image-2.6.32-3-amd64 suggests:
ii  grub                          0.97-61    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.32              <none>     (no description available)

Versions of packages linux-image-2.6.32-3-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.23       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.32-3-amd64/prerm/removing-running-kernel-2.6.32-3-amd64: true
  linux-image-2.6.32-3-amd64/postinst/bootloader-test-error-2.6.32-3-amd64:
  linux-image-2.6.32-3-amd64/postinst/missing-firmware-2.6.32-3-amd64:
  linux-image-2.6.32-3-amd64/prerm/would-invalidate-boot-loader-2.6.32-3-amd64: true
  linux-image-2.6.32-3-amd64/postinst/depmod-error-initrd-2.6.32-3-amd64: false
  linux-image-2.6.32-3-amd64/postinst/bootloader-error-2.6.32-3-amd64:

-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Mon, 10 May 2010 07:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Protzenko <jonathan.protzenko@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 10 May 2010 07:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 580901@bugs.debian.org (full text, mbox):

From: Jonathan Protzenko <jonathan.protzenko@free.fr>
To: 580901@bugs.debian.org
Subject: Confirmed
Date: Mon, 10 May 2010 09:46:26 +0200
 I have been experiencing this too, on a 4-core Xeon with hyperthreading.

Basically, what happens is that after a suspend/resume cycle or a 
hibernate/thaw cycle, a single process cannot span more than TWO cores. 
Here's a nice picture:

http://jonathan.protzenko.free.fr/beforesuspend.png

This is a build (make -j 16) of Mozilla Thunderbird. The build is highly 
parallel. The build dir was clean. All 8 logical cores are used.

http://jonathan.protzenko.free.fr/aftersuspend.png

Exact same build, after suspend. I did run make clean. Please note that 
only two cores are 100% busy and the other five do strictly nothing. The 
scheduler seems to be dead.

There is also a report here. 
http://superuser.com/questions/136291/core-i7-on-linux-loses-its-multithreading-capability-after-suspend.

I can provide more information if needed.

uname -a:
Linux sauternes 2.6.32-4-amd64 #1 SMP Mon Apr 5 21:14:10 UTC 2010 x86_64 
GNU/Linux

cat /proc/cpuinfo:
processor    : 0
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 0
cpu cores    : 4
apicid        : 0
initial apicid    : 0
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.12
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 1
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 1
cpu cores    : 4
apicid        : 2
initial apicid    : 2
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.64
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 2
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 2
cpu cores    : 4
apicid        : 4
initial apicid    : 4
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.37
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 3
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 3
cpu cores    : 4
apicid        : 6
initial apicid    : 6
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.12
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 4
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 0
cpu cores    : 4
apicid        : 1
initial apicid    : 1
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.13
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 5
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 1
cpu cores    : 4
apicid        : 3
initial apicid    : 3
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.27
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 6
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 2
cpu cores    : 4
apicid        : 5
initial apicid    : 5
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.15
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:

processor    : 7
vendor_id    : GenuineIntel
cpu family    : 6
model        : 26
model name    : Intel(R) Xeon(R) CPU           W3520  @ 2.67GHz
stepping    : 5
cpu MHz        : 1596.000
cache size    : 8192 KB
physical id    : 0
siblings    : 8
core id        : 3
cpu cores    : 4
apicid        : 7
initial apicid    : 7
fpu        : yes
fpu_exception    : yes
cpuid level    : 11
wp        : yes
flags        : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca 
cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall 
nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology 
nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 
xtpr pdcm dca sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi 
flexpriority ept vpid
bogomips    : 5333.14
clflush size    : 64
cache_alignment    : 64
address sizes    : 36 bits physical, 48 bits virtual
power management:






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Fri, 23 Jul 2010 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <debian00+list@aliceadsl.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jul 2010 16:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 580901@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <debian00+list@aliceadsl.fr>
To: 580901@bugs.debian.org
Subject: suspend to disk break multithreading
Date: Fri, 23 Jul 2010 18:23:49 +0200 (CEST)
[Message part 1 (text/plain, inline)]
Hi,

I can confirm this on a core i7.

A funny side effect is that single threaded programs run twice as fast
after suspend to disk than they did before!  It would be nice to have
that power available before suspend too!

[cpuinfo.txt (text/plain, inline)]
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 0
initial apicid	: 0
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.48
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 1
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.87
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 2
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 2
initial apicid	: 2
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3459.81
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 3
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 1
cpu cores	: 4
apicid		: 3
initial apicid	: 3
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.18
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 4
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 4
initial apicid	: 4
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.45
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 5
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 2
cpu cores	: 4
apicid		: 5
initial apicid	: 5
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.40
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 6
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 6
initial apicid	: 6
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.58
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:

processor	: 7
vendor_id	: GenuineIntel
cpu family	: 6
model		: 30
model name	: Intel(R) Core(TM) i7 CPU       Q 820  @ 1.73GHz
stepping	: 5
cpu MHz		: 1728.714
cache size	: 8192 KB
physical id	: 0
siblings	: 8
core id		: 3
cpu cores	: 4
apicid		: 7
initial apicid	: 7
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida tpr_shadow vnmi flexpriority ept vpid
bogomips	: 3458.17
clflush size	: 64
cache_alignment	: 64
address sizes	: 36 bits physical, 48 bits virtual
power management:


Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Fri, 23 Jul 2010 16:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe TROESTLER <debian00+list@aliceadsl.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 23 Jul 2010 16:39:06 GMT) Full text and rfc822 format available.

Message #20 received at 580901@bugs.debian.org (full text, mbox):

From: Christophe TROESTLER <debian00+list@aliceadsl.fr>
To: 580901@bugs.debian.org
Subject: Re: suspend to disk break multithreading
Date: Fri, 23 Jul 2010 18:29:23 +0200 (CEST)
See also https://bugzilla.kernel.org/show_bug.cgi?id=15559




Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=15559'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 25 Jul 2010 02:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Sun, 25 Jul 2010 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Jul 2010 03:00:03 GMT) Full text and rfc822 format available.

Message #27 received at 580901@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Christophe TROESTLER <debian00+list@aliceadsl.fr>, 580901@bugs.debian.org
Subject: Re: Bug#580901: suspend to disk break multithreading
Date: Sun, 25 Jul 2010 03:58:09 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2010-07-23 at 18:29 +0200, Christophe TROESTLER wrote:
> See also https://bugzilla.kernel.org/show_bug.cgi?id=15559

Thanks; I've marked this as forwarded so we'll track the upstream bug
now.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 25 Jul 2010 03:00:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 03 Sep 2012 16:48:51 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Thu, 06 Sep 2012 08:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Sep 2012 08:45:06 GMT) Full text and rfc822 format available.

Message #36 received at 580901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bill Allombert <ballombe@debian.org>
Cc: 580901@bugs.debian.org, Jonathan Protzenko <jonathan.protzenko@gmail.com>, Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
Subject: Re: core i3: suspend to disk break multithreading
Date: Thu, 6 Sep 2012 01:44:52 -0700
Hi Bill,

In May, 2010, Bill Allombert wrote:

> I have a Sony Vaio laptop with a core i3 processor, dual core and
> hyperthreaded to 4 virtual CPUs.  When compiling with 'make -j4', top
> show the 4 CPUs used.
>
> After suspend-to-disk however, performance degrade to the equivalent of a
> single core system

Thanks for a clear report.  This is said to be fixed by v2.6.32.22~118
(x86, tsc, sched: Recompute cyc2ns_offset's during resume from sleep
states, 2010-08-19), which was part of 2.6.32-24.  Can you confirm?

Sincerely,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Thu, 06 Sep 2012 15:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 06 Sep 2012 15:21:09 GMT) Full text and rfc822 format available.

Message #41 received at 580901@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Bill Allombert <ballombe@debian.org>, 580901@bugs.debian.org, Jonathan Protzenko <jonathan.protzenko@gmail.com>, Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
Subject: Re: core i3: suspend to disk break multithreading
Date: Thu, 6 Sep 2012 17:02:50 +0200
On Thu, Sep 06, 2012 at 01:44:52AM -0700, Jonathan Nieder wrote:
> Hi Bill,
> 
> In May, 2010, Bill Allombert wrote:
> 
> > I have a Sony Vaio laptop with a core i3 processor, dual core and
> > hyperthreaded to 4 virtual CPUs.  When compiling with 'make -j4', top
> > show the 4 CPUs used.
> >
> > After suspend-to-disk however, performance degrade to the equivalent of a
> > single core system
> 
> Thanks for a clear report.  This is said to be fixed by v2.6.32.22~118
> (x86, tsc, sched: Recompute cyc2ns_offset's during resume from sleep
> states, 2010-08-19), which was part of 2.6.32-24.  Can you confirm?

I will see if I can do that. The first kernel version which worked correctly
on this laptop (including other issues I reported) was

Linux version 2.6.37-trunk-amd64 (Debian 2.6.37-1~experimental.1)
(ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-10) ) #1 SMP Thu Jan 6
14:13:28 UTC 2011

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Marked as fixed in versions linux/2.6.37-1~experimental.1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 06 Sep 2012 19:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Fri, 07 Sep 2012 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Sep 2012 15:00:03 GMT) Full text and rfc822 format available.

Message #48 received at 580901@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Bill Allombert <ballombe@debian.org>, 580901@bugs.debian.org, Jonathan Protzenko <jonathan.protzenko@gmail.com>, Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
Subject: Re: core i3: suspend to disk break multithreading
Date: Fri, 7 Sep 2012 16:57:34 +0200
On Thu, Sep 06, 2012 at 05:02:50PM +0200, Bill Allombert wrote:
> On Thu, Sep 06, 2012 at 01:44:52AM -0700, Jonathan Nieder wrote:
> > Hi Bill,
> > 
> > In May, 2010, Bill Allombert wrote:
> > 
> > > I have a Sony Vaio laptop with a core i3 processor, dual core and
> > > hyperthreaded to 4 virtual CPUs.  When compiling with 'make -j4', top
> > > show the 4 CPUs used.
> > >
> > > After suspend-to-disk however, performance degrade to the equivalent of a
> > > single core system
> > 
> > Thanks for a clear report.  This is said to be fixed by v2.6.32.22~118
> > (x86, tsc, sched: Recompute cyc2ns_offset's during resume from sleep
> > states, 2010-08-19), which was part of 2.6.32-24.  Can you confirm?
> 
> I will see if I can do that. The first kernel version which worked correctly
> on this laptop (including other issues I reported) was

I checked this version:
Package: linux-image-2.6.32-5-amd64
Version: 2.6.32-45
and it indeed fix this problem (but not all, alas).

Thanks for your support,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 07 Sep 2012 15:09:06 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Fri, 07 Sep 2012 15:09:06 GMT) Full text and rfc822 format available.

Message #53 received at 580901-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: Bill Allombert <ballombe@debian.org>, 580901-done@bugs.debian.org, Jonathan Protzenko <jonathan.protzenko@gmail.com>, Christophe TROESTLER <Christophe.Troestler@umons.ac.be>
Subject: Re: core i3: suspend to disk break multithreading
Date: Fri, 7 Sep 2012 08:08:10 -0700
Version: 2.6.32-45

Bill Allombert wrote:

> I checked this version:
> Package: linux-image-2.6.32-5-amd64
> Version: 2.6.32-45
> and it indeed fix this problem (but not all, alas).

Thanks!  Do you remember bug numbers or words I could search for
for the other problems?

Curious,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Fri, 07 Sep 2012 20:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Sep 2012 20:00:06 GMT) Full text and rfc822 format available.

Message #58 received at 580901@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 580901@bugs.debian.org
Subject: Re: core i3: suspend to disk break multithreading
Date: Fri, 7 Sep 2012 21:57:55 +0200
On Fri, Sep 07, 2012 at 08:08:10AM -0700, Jonathan Nieder wrote:
> Version: 2.6.32-45
> 
> Bill Allombert wrote:
> 
> > I checked this version:
> > Package: linux-image-2.6.32-5-amd64
> > Version: 2.6.32-45
> > and it indeed fix this problem (but not all, alas).
> 
> Thanks!  Do you remember bug numbers or words I could search for
> for the other problems?

Well, I reported #600845 which was fixed a long time ago.
I do not think I reported the problem with the internal speaker,
because I was not even sure I had an internal speaker until
I found a working kernel.

I also miss the VGA console (the framebuffer console is much slower, just try
'time sl').

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#580901; Package linux-2.6. (Fri, 07 Sep 2012 23:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 07 Sep 2012 23:33:03 GMT) Full text and rfc822 format available.

Message #63 received at 580901@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
Cc: 580901@bugs.debian.org
Subject: Re: core i3: suspend to disk break multithreading
Date: Fri, 7 Sep 2012 16:29:54 -0700
Bill Allombert wrote:

> Well, I reported #600845 which was fixed a long time ago.
> I do not think I reported the problem with the internal speaker,
> because I was not even sure I had an internal speaker until
> I found a working kernel.
>
> I also miss the VGA console (the framebuffer console is much slower, just try
> 'time sl').

Ok, thanks.  I sometimes miss the speed of the VGA console, too, but I
don't think a bugreport would help with it unless someone has an
approach in mind for getting back the speed.  Internal speaker
problems, on the other hand, are probably easier to fix.  If you file
a report with details, I'll be happy to look into it.

Regards,
Jonathan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 06 Oct 2012 07:25:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:20:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.